summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/listing/0021ruleset_json_terse_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/listing/0021ruleset_json_terse_0')
-rwxr-xr-xtests/shell/testcases/listing/0021ruleset_json_terse_012
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/shell/testcases/listing/0021ruleset_json_terse_0 b/tests/shell/testcases/listing/0021ruleset_json_terse_0
new file mode 100755
index 00000000..c739ac3f
--- /dev/null
+++ b/tests/shell/testcases/listing/0021ruleset_json_terse_0
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+$NFT flush ruleset
+$NFT add table ip test
+$NFT add chain ip test c
+$NFT add set ip test s { type ipv4_addr\; }
+$NFT add element ip test s { 192.168.3.4, 192.168.3.5 }
+
+if $NFT -j -t list ruleset | grep '192'
+then
+ exit 1
+fi